[arch-commits] Commit in scaleway-cli/repos/community-x86_64 (PKGBUILD PKGBUILD)

Sébastien Luttringer seblu at gemini.archlinux.org
Sat Jun 18 07:29:23 UTC 2022


    Date: Saturday, June 18, 2022 @ 07:29:23
  Author: seblu
Revision: 1238356

archrelease: copy trunk to community-x86_64

Added:
  scaleway-cli/repos/community-x86_64/PKGBUILD
    (from rev 1238355, scaleway-cli/trunk/PKGBUILD)
Deleted:
  scaleway-cli/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  138 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 69 insertions(+), 69 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2022-06-18 07:29:18 UTC (rev 1238355)
+++ PKGBUILD	2022-06-18 07:29:23 UTC (rev 1238356)
@@ -1,69 +0,0 @@
-# Maintainer: Sébastien Luttringer
-# Contributor: Patrik Cyvoct <patrik at ptrk dot io>
-# Contributor: Mikkel Oscar Lyderik <mikkeloscar at gmail dot com>
-
-pkgname=scaleway-cli
-pkgver=2.5.2
-pkgrel=1
-pkgdesc='Command line interface for Scaleway Cloud'
-arch=('x86_64')
-url='https://www.scaleway.com/cli/'
-license=('Apache')
-depends=('glibc')
-makedepends=('go' 'git')
-source=("git+https://github.com/scaleway/scaleway-cli.git#tag=v$pkgver")
-sha256sums=('SKIP')
-
-prepare() {
-  cd $pkgname
-  # apply patch from the source array (should be a pacman feature)
-  local src
-  for src in "${source[@]}"; do
-    src="${src%%::*}"
-    src="${src##*/}"
-    [[ $src = *.patch ]] || continue
-    echo "Applying patch $src..."
-    patch -Np1 < "../$src"
-  done
-  :
-}
-
-build() {
-  cd $pkgname
-  export CGO_CPPFLAGS="$CPPFLAGS"
-  export CGO_CFLAGS="$CFLAGS"
-  export CGO_CXXFLAGS="$CXXFLAGS"
-  export CGO_LDFLAGS="$LDFLAGS"
-  go build \
-    -buildmode=pie \
-    -trimpath \
-    -mod=readonly \
-    -modcacherw \
-    -ldflags "-linkmode external -extldflags \"${LDFLAGS}\" -X main.Version=$pkgver-$pkgrel -X main.BuildDate=$(date -u '+%Y-%m-%dT%I:%M:%S%p')" \
-    -o scw ./cmd/scw/main.go
-  PATH=. scw autocomplete script shell=zsh > zshcomp
-  PATH=. scw autocomplete script shell=bash > bashcomp
-}
-
-check() {
-  cd $pkgname
-  export CGO_CPPFLAGS="$CPPFLAGS"
-  export CGO_CFLAGS="$CFLAGS"
-  export CGO_CXXFLAGS="$CXXFLAGS"
-  export CGO_LDFLAGS="$LDFLAGS"
-  go test ./... \
-    -buildmode=pie \
-    -trimpath \
-    -mod=readonly \
-    -modcacherw \
-    -ldflags "-linkmode external -extldflags \"${LDFLAGS}\" -X main.Version=$pkgver-$pkgrel -X main.BuildDate=$(date -u '+%Y-%m-%dT%I:%M:%S%p')"
-}
-
-package() {
-  cd $pkgname
-  install -Dm755 scw "$pkgdir"/usr/bin/scw
-  install -Dm644 bashcomp "$pkgdir"/usr/share/bash-completion/completions/scw
-  install -Dm644 zshcomp "$pkgdir"/usr/share/zsh/site-functions/_scw
-}
-
-# vim:set ts=2 sw=2 ft=PKGBUILD et:

Copied: scaleway-cli/repos/community-x86_64/PKGBUILD (from rev 1238355, scaleway-cli/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2022-06-18 07:29:23 UTC (rev 1238356)
@@ -0,0 +1,69 @@
+# Maintainer: Sébastien Luttringer
+# Contributor: Patrik Cyvoct <patrik at ptrk dot io>
+# Contributor: Mikkel Oscar Lyderik <mikkeloscar at gmail dot com>
+
+pkgname=scaleway-cli
+pkgver=2.5.3
+pkgrel=1
+pkgdesc='Command line interface for Scaleway Cloud'
+arch=('x86_64')
+url='https://www.scaleway.com/cli/'
+license=('Apache')
+depends=('glibc')
+makedepends=('go' 'git')
+source=("git+https://github.com/scaleway/scaleway-cli.git#tag=v$pkgver")
+sha256sums=('SKIP')
+
+prepare() {
+  cd $pkgname
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    echo "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+  :
+}
+
+build() {
+  cd $pkgname
+  export CGO_CPPFLAGS="$CPPFLAGS"
+  export CGO_CFLAGS="$CFLAGS"
+  export CGO_CXXFLAGS="$CXXFLAGS"
+  export CGO_LDFLAGS="$LDFLAGS"
+  go build \
+    -buildmode=pie \
+    -trimpath \
+    -mod=readonly \
+    -modcacherw \
+    -ldflags "-linkmode external -extldflags \"${LDFLAGS}\" -X main.Version=$pkgver-$pkgrel -X main.BuildDate=$(date -u '+%Y-%m-%dT%I:%M:%S%p')" \
+    -o scw ./cmd/scw/main.go
+  PATH=. scw autocomplete script shell=zsh > zshcomp
+  PATH=. scw autocomplete script shell=bash > bashcomp
+}
+
+check() {
+  cd $pkgname
+  export CGO_CPPFLAGS="$CPPFLAGS"
+  export CGO_CFLAGS="$CFLAGS"
+  export CGO_CXXFLAGS="$CXXFLAGS"
+  export CGO_LDFLAGS="$LDFLAGS"
+  go test ./... \
+    -buildmode=pie \
+    -trimpath \
+    -mod=readonly \
+    -modcacherw \
+    -ldflags "-linkmode external -extldflags \"${LDFLAGS}\" -X main.Version=$pkgver-$pkgrel -X main.BuildDate=$(date -u '+%Y-%m-%dT%I:%M:%S%p')"
+}
+
+package() {
+  cd $pkgname
+  install -Dm755 scw "$pkgdir"/usr/bin/scw
+  install -Dm644 bashcomp "$pkgdir"/usr/share/bash-completion/completions/scw
+  install -Dm644 zshcomp "$pkgdir"/usr/share/zsh/site-functions/_scw
+}
+
+# vim:set ts=2 sw=2 ft=PKGBUILD et:



More information about the arch-commits mailing list